# -*- coding: UTF-8 -*-

from plone.i18n.locales import languages

_combinedlanguagelist = {
u'ar-ae' : {u'name' : u'Arabic (United Arab Emirates)',                          u'flag' : u'/++resource++country-flags/ae.gif'},
u'ar-bh' : {u'name' : u'Arabic (Bahrain)',                                       u'flag' : u'/++resource++country-flags/bh.gif'},
u'ar-dz' : {u'name' : u'Arabic (Algeria)',                                       u'flag' : u'/++resource++country-flags/dz.gif'},
u'ar-eg' : {u'name' : u'Arabic (Egypt)',                                         u'flag' : u'/++resource++country-flags/eg.gif'},
u'ar-il' : {u'name' : u'Arabic (Israel)',                                        u'flag' : u'/++resource++country-flags/il.gif'},
u'ar-iq' : {u'name' : u'Arabic (Iraq)',                                          u'flag' : u'/++resource++country-flags/iq.gif'},
u'ar-jo' : {u'name' : u'Arabic (Jordan)',                                        u'flag' : u'/++resource++country-flags/jo.gif'},
u'ar-kw' : {u'name' : u'Arabic (Kuwait)',                                        u'flag' : u'/++resource++country-flags/kw.gif'},
u'ar-lb' : {u'name' : u'Arabic (Lebanon)',                                       u'flag' : u'/++resource++country-flags/lb.gif'},
u'ar-ly' : {u'name' : u'Arabic (Libya)',                                         u'flag' : u'/++resource++country-flags/ly.gif'},
u'ar-ma' : {u'name' : u'Arabic (Morocco)',                                       u'flag' : u'/++resource++country-flags/ma.gif'},
u'ar-mr' : {u'name' : u'Arabic (Mauritania)',                                    u'flag' : u'/++resource++country-flags/mr.gif'},
u'ar-om' : {u'name' : u'Arabic (Oman)',                                          u'flag' : u'/++resource++country-flags/om.gif'},
u'ar-ps' : {u'name' : u'Arabic (Palestinian West Bank and Gaza)',                u'flag' : u'/++resource++country-flags/ps.gif'},
u'ar-qa' : {u'name' : u'Arabic (Qatar)',                                         u'flag' : u'/++resource++country-flags/qa.gif'},
u'ar-sa' : {u'name' : u'Arabic (Saudi Arabia)',                                  u'flag' : u'/++resource++country-flags/sa.gif'},
u'ar-sd' : {u'name' : u'Arabic (Sudan)',                                         u'flag' : u'/++resource++country-flags/ly.gif'},
u'ar-so' : {u'name' : u'Arabic (Somalia)',                                       u'flag' : u'/++resource++country-flags/so.gif'},
u'ar-sy' : {u'name' : u'Arabic (Syria)',                                         u'flag' : u'/++resource++country-flags/sy.gif'},
u'ar-td' : {u'name' : u'Arabic (Chad)',                                          u'flag' : u'/++resource++country-flags/td.gif'},
u'ar-tn' : {u'name' : u'Arabic (Tunisia)',                                       u'flag' : u'/++resource++country-flags/ly.gif'},
u'ar-ye' : {u'name' : u'Arabic (Yemen)',                                         u'flag' : u'/++resource++country-flags/ye.gif'},
u'bn-bd' : {u'name' : u'Bengali (Bangladesh)',                                   u'flag' : u'/++resource++country-flags/bd.gif'},
u'bn-in' : {u'name' : u'Bengali (India)',                                        u'flag' : u'/++resource++country-flags/in.gif'},
u'bn-sg' : {u'name' : u'Bengali (Singapore)',                                    u'flag' : u'/++resource++country-flags/sg.gif'},
u'ch-gu' : {u'name' : u'Chamorro (Guam)',                                        u'flag' : u'/++resource++country-flags/gu.gif'},
u'ch-mp' : {u'name' : u'Chamorro (Northern Mariana Islands)',                    u'flag' : u'/++resource++country-flags/mp.gif'},
u'cs-cz' : {u'name' : u'Czech (Czech republic)', u'native': 'Čeština (Česká republika)', u'flag' : u'/++resource++country-flags/cz.gif'},
u'da-dk' : {u'name' : u'Danish (Denmark)',                                       u'flag' : u'/++resource++country-flags/dk.gif'},
u'da-gl' : {u'name' : u'Danish (Greenland)',                                     u'flag' : u'/++resource++country-flags/gl.gif'},
u'de-at' : {u'name' : u'German (Austria)', u'native' : 'Deutsch (Österreich)',   u'flag' : u'/++resource++country-flags/at.gif'},
u'de-be' : {u'name' : u'German (Belgium)',                                       u'flag' : u'/++resource++country-flags/de.gif'},
u'de-ch' : {u'name' : u'German (Switzerland)',                                   u'flag' : u'/++resource++country-flags/ch.gif'},
u'de-de' : {u'name' : u'German (Germany)',                                       u'flag' : u'/++resource++country-flags/de.gif'},
u'de-dk' : {u'name' : u'German (Denmark)',                                       u'flag' : u'/++resource++country-flags/de.gif'},
u'de-li' : {u'name' : u'German (Liechtenstein)',                                 u'flag' : u'/++resource++country-flags/li.gif'},
u'de-lu' : {u'name' : u'German (Luxembourg)',                                    u'flag' : u'/++resource++country-flags/de.gif'},
u'el-cy' : {u'name' : u'Greek (Cyprus)',                                         u'flag' : u'/++resource++country-flags/cy.gif'},
u'el-gr' : {u'name' : u'Greek (Greece)',                                         u'flag' : u'/++resource++country-flags/gr.gif'},
u'en-ag' : {u'name' : u'English (Antigua and Barbuda)',                          u'flag' : u'/++resource++country-flags/ag.gif'},
u'en-ai' : {u'name' : u'English (Anguilla)',                                     u'flag' : u'/++resource++country-flags/ai.gif'},
u'en-as' : {u'name' : u'English (American Samoa)',                               u'flag' : u'/++resource++country-flags/as.gif'},
u'en-au' : {u'name' : u'English (Australia)',                                    u'flag' : u'/++resource++country-flags/au.gif'},
u'en-bb' : {u'name' : u'English (Barbados)',                                     u'flag' : u'/++resource++country-flags/bb.gif'},
u'en-bm' : {u'name' : u'English (Bermuda)',                                      u'flag' : u'/++resource++country-flags/bm.gif'},
u'en-bn' : {u'name' : u'English (Brunei)',                                       u'flag' : u'/++resource++country-flags/bn.gif'},
u'en-bs' : {u'name' : u'English (Bahamas)',                                      u'flag' : u'/++resource++country-flags/bs.gif'},
u'en-bw' : {u'name' : u'English (Botswana)',                                     u'flag' : u'/++resource++country-flags/bw.gif'},
u'en-bz' : {u'name' : u'English (Belize)',                                       u'flag' : u'/++resource++country-flags/bz.gif'},
u'en-ca' : {u'name' : u'English (Canada)',                                       u'flag' : u'/++resource++country-flags/ca.gif'},
u'en-ck' : {u'name' : u'English (Cook Islands)',                                 u'flag' : u'/++resource++country-flags/ck.gif'},
u'en-cm' : {u'name' : u'English (Cameroon)',                                     u'flag' : u'/++resource++country-flags/cm.gif'},
u'en-dm' : {u'name' : u'English (Dominica)',                                     u'flag' : u'/++resource++country-flags/dm.gif'},
u'en-er' : {u'name' : u'English (Eritrea)',                                      u'flag' : u'/++resource++country-flags/er.gif'},
u'en-et' : {u'name' : u'English (Ethiopia)',                                     u'flag' : u'/++resource++country-flags/et.gif'},
u'en-fj' : {u'name' : u'English (Fiji)',                                         u'flag' : u'/++resource++country-flags/fj.gif'},
u'en-fk' : {u'name' : u'English (Falkland Islands)',                             u'flag' : u'/++resource++country-flags/fk.gif'},
u'en-fm' : {u'name' : u'English (Micronesia)',                                   u'flag' : u'/++resource++country-flags/fm.gif'},
u'en-gb' : {u'name' : u'English (UK)',                                           u'flag' : u'/++resource++country-flags/gb.gif'},
u'en-gd' : {u'name' : u'English (Grenada)',                                      u'flag' : u'/++resource++country-flags/gd.gif'},
u'en-gh' : {u'name' : u'English (Ghana)',                                        u'flag' : u'/++resource++country-flags/gh.gif'},
u'en-gi' : {u'name' : u'English (Gibraltar)',                                    u'flag' : u'/++resource++country-flags/gi.gif'},
u'en-gm' : {u'name' : u'English (Gambia)',                                       u'flag' : u'/++resource++country-flags/gm.gif'},
u'en-gu' : {u'name' : u'English (Guam)',                                         u'flag' : u'/++resource++country-flags/gu.gif'},
u'en-gy' : {u'name' : u'English (Guyana)',                                       u'flag' : u'/++resource++country-flags/gy.gif'},
u'en-ie' : {u'name' : u'English (Ireland)',                                      u'flag' : u'/++resource++country-flags/ie.gif'},
u'en-il' : {u'name' : u'English (Israel)',                                       u'flag' : u'/++resource++country-flags/gb.gif'},
u'en-io' : {u'name' : u'English (British Indian Ocean Territory)',               u'flag' : u'/++resource++country-flags/io.gif'},
u'en-jm' : {u'name' : u'English (Jamaica)',                                      u'flag' : u'/++resource++country-flags/jm.gif'},
u'en-ke' : {u'name' : u'English (Kenya)',                                        u'flag' : u'/++resource++country-flags/ke.gif'},
u'en-ki' : {u'name' : u'English (Kiribati)',                                     u'flag' : u'/++resource++country-flags/ki.gif'},
u'en-kn' : {u'name' : u'English (St. Kitts-Nevis)',                              u'flag' : u'/++resource++country-flags/kn.gif'},
u'en-ky' : {u'name' : u'English (Cayman Islands)',                               u'flag' : u'/++resource++country-flags/ky.gif'},
u'en-lc' : {u'name' : u'English (St. Lucia)',                                    u'flag' : u'/++resource++country-flags/lc.gif'},
u'en-lr' : {u'name' : u'English (Liberia)',                                      u'flag' : u'/++resource++country-flags/lr.gif'},
u'en-ls' : {u'name' : u'English (Lesotho)',                                      u'flag' : u'/++resource++country-flags/ls.gif'},
u'en-mp' : {u'name' : u'English (Northern Mariana Islands)',                     u'flag' : u'/++resource++country-flags/mp.gif'},
u'en-ms' : {u'name' : u'English (Montserrat)',                                   u'flag' : u'/++resource++country-flags/ms.gif'},
u'en-mt' : {u'name' : u'English (Malta)',                                        u'flag' : u'/++resource++country-flags/mt.gif'},
u'en-mu' : {u'name' : u'English (Mauritius)',                                    u'flag' : u'/++resource++country-flags/mu.gif'},
u'en-mw' : {u'name' : u'English (Malawi)',                                       u'flag' : u'/++resource++country-flags/mw.gif'},
u'en-na' : {u'name' : u'English (Namibia)',                                      u'flag' : u'/++resource++country-flags/na.gif'},
u'en-nf' : {u'name' : u'English (Norfolk Island)',                               u'flag' : u'/++resource++country-flags/nf.gif'},
u'en-ng' : {u'name' : u'English (Nigeria)',                                      u'flag' : u'/++resource++country-flags/ng.gif'},
u'en-nr' : {u'name' : u'English (Nauru)',                                        u'flag' : u'/++resource++country-flags/nr.gif'},
u'en-nu' : {u'name' : u'English (Niue)',                                         u'flag' : u'/++resource++country-flags/nu.gif'},
u'en-nz' : {u'name' : u'English (New Zealand)',                                  u'flag' : u'/++resource++country-flags/nz.gif'},
u'en-pg' : {u'name' : u'English (Papua New Guinea)',                             u'flag' : u'/++resource++country-flags/pg.gif'},
u'en-ph' : {u'name' : u'English (Philippines)',                                  u'flag' : u'/++resource++country-flags/ph.gif'},
u'en-pk' : {u'name' : u'English (Pakistan)',                                     u'flag' : u'/++resource++country-flags/pk.gif'},
u'en-pn' : {u'name' : u'English (Pitcairn)',                                     u'flag' : u'/++resource++country-flags/pn.gif'},
u'en-pr' : {u'name' : u'English (Puerto Rico)',                                  u'flag' : u'/++resource++country-flags/pr.gif'},
u'en-pw' : {u'name' : u'English (Palau)',                                        u'flag' : u'/++resource++country-flags/pw.gif'},
u'en-rw' : {u'name' : u'English (Rwanda)',                                       u'flag' : u'/++resource++country-flags/rw.gif'},
u'en-sb' : {u'name' : u'English (Solomon Islands)',                              u'flag' : u'/++resource++country-flags/sb.gif'},
u'en-sc' : {u'name' : u'English (Seychelles)',                                   u'flag' : u'/++resource++country-flags/sc.gif'},
u'en-sg' : {u'name' : u'English (Singapore)',                                    u'flag' : u'/++resource++country-flags/sg.gif'},
u'en-sh' : {u'name' : u'English (St. Helena)',                                   u'flag' : u'/++resource++country-flags/sh.gif'},
u'en-sl' : {u'name' : u'English (Sierra Leone)',                                 u'flag' : u'/++resource++country-flags/sl.gif'},
u'en-so' : {u'name' : u'English (Somalia)',                                      u'flag' : u'/++resource++country-flags/so.gif'},
u'en-sz' : {u'name' : u'English (Swaziland)',                                    u'flag' : u'/++resource++country-flags/sz.gif'},
u'en-tc' : {u'name' : u'English (Turks and Caicos Islands)',                     u'flag' : u'/++resource++country-flags/tc.gif'},
u'en-tk' : {u'name' : u'English (Tokelau)',                                      u'flag' : u'/++resource++country-flags/tk.gif'},
u'en-to' : {u'name' : u'English (Tonga)',                                        u'flag' : u'/++resource++country-flags/to.gif'},
u'en-tt' : {u'name' : u'English (Trinidad and Tobago)',                          u'flag' : u'/++resource++country-flags/tt.gif'},
u'en-ug' : {u'name' : u'English (Uganda)',                                       u'flag' : u'/++resource++country-flags/ug.gif'},
u'en-us' : {u'name' : u'English (USA)',                                          u'flag' : u'/++resource++country-flags/us.gif'},
u'en-vc' : {u'name' : u'English (St. Vincent and the Grenadi)',                  u'flag' : u'/++resource++country-flags/vc.gif'},
u'en-vg' : {u'name' : u'English (British Virgin Islands)',                       u'flag' : u'/++resource++country-flags/vg.gif'},
u'en-vi' : {u'name' : u'English (U.S. Virgin Islands)',                          u'flag' : u'/++resource++country-flags/vi.gif'},
u'en-vu' : {u'name' : u'English (Vanuatu)',                                      u'flag' : u'/++resource++country-flags/vu.gif'},
u'en-ws' : {u'name' : u'English (Western Samoa)',                                u'flag' : u'/++resource++country-flags/ws.gif'},
u'en-za' : {u'name' : u'English (South Africa)',                                 u'flag' : u'/++resource++country-flags/za.gif'},
u'en-zm' : {u'name' : u'English (Zambia)',                                       u'flag' : u'/++resource++country-flags/zm.gif'},
u'en-zw' : {u'name' : u'English (Zimbabwe)',                                     u'flag' : u'/++resource++country-flags/zw.gif'},
u'es-ar' : {u'name' : u'Spanish (Argentina)',                                    u'flag' : u'/++resource++country-flags/ar.gif'},
u'es-bo' : {u'name' : u'Spanish (Bolivia)',                                      u'flag' : u'/++resource++country-flags/bo.gif'},
u'es-cl' : {u'name' : u'Spanish (Chile)',                                        u'flag' : u'/++resource++country-flags/cl.gif'},
u'es-co' : {u'name' : u'Spanish (Colombia)',                                     u'flag' : u'/++resource++country-flags/co.gif'},
u'es-cr' : {u'name' : u'Spanish (Costa Rica)',                                   u'flag' : u'/++resource++country-flags/cr.gif'},
u'es-cu' : {u'name' : u'Spanish (Cuba)',                                         u'flag' : u'/++resource++country-flags/cu.gif'},
u'es-do' : {u'name' : u'Spanish (Dominican Republic)',                           u'flag' : u'/++resource++country-flags/do.gif'},
u'es-ec' : {u'name' : u'Spanish (Ecuador)',                                      u'flag' : u'/++resource++country-flags/ec.gif'},
u'es-es' : {u'name' : u'Spanish (Spain)',                                        u'flag' : u'/++resource++country-flags/es.gif'},
u'es-gq' : {u'name' : u'Spanish (Equatorial Guinea)',                            u'flag' : u'/++resource++country-flags/gq.gif'},
u'es-gt' : {u'name' : u'Spanish (Guatemala)',                                    u'flag' : u'/++resource++country-flags/gt.gif'},
u'es-hn' : {u'name' : u'Spanish (Honduras)',                                     u'flag' : u'/++resource++country-flags/hn.gif'},
u'es-mx' : {u'name' : u'Spanish (Mexico)',                                       u'flag' : u'/++resource++country-flags/mx.gif'},
u'es-ni' : {u'name' : u'Spanish (Nicaragua)',                                    u'flag' : u'/++resource++country-flags/ni.gif'},
u'es-pa' : {u'name' : u'Spanish (Panama)',                                       u'flag' : u'/++resource++country-flags/pa.gif'},
u'es-pe' : {u'name' : u'Spanish (Peru)',                                         u'flag' : u'/++resource++country-flags/pe.gif'},
u'es-pr' : {u'name' : u'Spanish (Puerto Rico)',                                  u'flag' : u'/++resource++country-flags/pr.gif'},
u'es-py' : {u'name' : u'Spanish (Paraguay)',                                     u'flag' : u'/++resource++country-flags/py.gif'},
u'es-sv' : {u'name' : u'Spanish (El Salvador)',                                  u'flag' : u'/++resource++country-flags/sv.gif'},
u'es-us' : {u'name' : u'Spanish (USA)',                                          u'flag' : u'/++resource++country-flags/us.gif'},
u'es-uy' : {u'name' : u'Spanish (Uruguay)',                                      u'flag' : u'/++resource++country-flags/uy.gif'},
u'es-ve' : {u'name' : u'Spanish (Venezuela)',                                    u'flag' : u'/++resource++country-flags/ve.gif'},
u'fr-ad' : {u'name' : u'French (Andorra)',                                       u'flag' : u'/++resource++country-flags/ad.gif'},
u'fr-be' : {u'name' : u'French (Belgium)',                                       u'flag' : u'/++resource++country-flags/be.gif'},
u'fr-bf' : {u'name' : u'French (Burkina Faso)',                                  u'flag' : u'/++resource++country-flags/bf.gif'},
u'fr-bi' : {u'name' : u'French (Burundi)',                                       u'flag' : u'/++resource++country-flags/bi.gif'},
u'fr-bj' : {u'name' : u'French (Benin)',                                         u'flag' : u'/++resource++country-flags/bj.gif'},
u'fr-ca' : {u'name' : u'French (Canada)',                                        u'flag' : u'/++resource++country-flags/ca.gif'},
u'fr-cd' : {u'name' : u'French (Democratic Republic of Congo)',                  u'flag' : u'/++resource++country-flags/cd.gif'},
u'fr-cf' : {u'name' : u'French (Central African Republic)',                      u'flag' : u'/++resource++country-flags/cf.gif'},
u'fr-cg' : {u'name' : u'French (Congo)',                                         u'flag' : u'/++resource++country-flags/cg.gif'},
u'fr-ch' : {u'name' : u'French (Switzerland)',                                   u'flag' : u'/++resource++country-flags/ch.gif'},
u'fr-ci' : {u'name' : u'French (Cote d\'Ivoire)',                                u'flag' : u'/++resource++country-flags/ci.gif'},
u'fr-cm' : {u'name' : u'French (Cameroon)',                                      u'flag' : u'/++resource++country-flags/cm.gif'},
u'fr-dj' : {u'name' : u'French (Djibouti)',                                      u'flag' : u'/++resource++country-flags/dj.gif'},
u'fr-fr' : {u'name' : u'French (France)',                                        u'flag' : u'/++resource++country-flags/fr.gif'},
u'fr-ga' : {u'name' : u'French (Gabon)',                                         u'flag' : u'/++resource++country-flags/ga.gif'},
u'fr-gb' : {u'name' : u'French (United Kingdom)',                                u'flag' : u'/++resource++country-flags/gb.gif'},
u'fr-gf' : {u'name' : u'French (French Guiana)',                                 u'flag' : u'/++resource++country-flags/gf.gif'},
u'fr-gn' : {u'name' : u'French (Guinea)',                                        u'flag' : u'/++resource++country-flags/gn.gif'},
u'fr-gp' : {u'name' : u'French (Guadeloupe)',                                    u'flag' : u'/++resource++country-flags/gp.gif'},
u'fr-ht' : {u'name' : u'French (Haiti)',                                         u'flag' : u'/++resource++country-flags/ht.gif'},
u'fr-it' : {u'name' : u'French (Italy)',                                         u'flag' : u'/++resource++country-flags/it.gif'},
u'fr-km' : {u'name' : u'French (Comoros Islands)',                               u'flag' : u'/++resource++country-flags/km.gif'},
u'fr-lb' : {u'name' : u'French (Lebanon)',                                       u'flag' : u'/++resource++country-flags/lb.gif'},
u'fr-lu' : {u'name' : u'French (Luxembourg)',                                    u'flag' : u'/++resource++country-flags/lu.gif'},
u'fr-mc' : {u'name' : u'French (Monaco)',                                        u'flag' : u'/++resource++country-flags/mc.gif'},
u'fr-mg' : {u'name' : u'French (Madagascar)',                                    u'flag' : u'/++resource++country-flags/mg.gif'},
u'fr-ml' : {u'name' : u'French (Mali)',                                          u'flag' : u'/++resource++country-flags/ml.gif'},
u'fr-mq' : {u'name' : u'French (Martinique)',                                    u'flag' : u'/++resource++country-flags/mq.gif'},
u'fr-nc' : {u'name' : u'French (New Caledonia)',                                 u'flag' : u'/++resource++country-flags/nc.gif'},
u'fr-pf' : {u'name' : u'French (French Polynesia)',                              u'flag' : u'/++resource++country-flags/pf.gif'},
u'fr-pm' : {u'name' : u'French (St. Pierre and Miquelon)',                       u'flag' : u'/++resource++country-flags/pm.gif'},
u'fr-re' : {u'name' : u'French (Reunion)',                                       u'flag' : u'/++resource++country-flags/re.gif'},
u'fr-rw' : {u'name' : u'French (Rwanda)',                                        u'flag' : u'/++resource++country-flags/rw.gif'},
u'fr-sc' : {u'name' : u'French (Seychelles)',                                    u'flag' : u'/++resource++country-flags/sc.gif'},
u'fr-td' : {u'name' : u'French (Chad)',                                          u'flag' : u'/++resource++country-flags/td.gif'},
u'fr-tg' : {u'name' : u'French (Togo)',                                          u'flag' : u'/++resource++country-flags/tg.gif'},
u'fr-vu' : {u'name' : u'French (Vanuatu)',                                       u'flag' : u'/++resource++country-flags/vu.gif'},
u'fr-wf' : {u'name' : u'French (Wallis and Futuna)',                             u'flag' : u'/++resource++country-flags/wf.gif'},
u'fr-yt' : {u'name' : u'French (Mayotte)',                                       u'flag' : u'/++resource++country-flags/yt.gif'},
u'hr-ba' : {u'name' : u'Croatian (Bosnia-Herzegovina)',                          u'flag' : u'/++resource++country-flags/ba.gif'},
u'hr-hr' : {u'name' : u'Croatian (Croatia)',                                     u'flag' : u'/++resource++country-flags/hr.gif'},
u'hu-hu' : {u'name' : u'Hungarian (Hungary)',                                    u'flag' : u'/++resource++country-flags/hu.gif'},
u'hu-si' : {u'name' : u'Hungarian (Slovenia)',                                   u'flag' : u'/++resource++country-flags/hu.gif'},
u'it-ch' : {u'name' : u'Italian (Switzerland)',                                  u'flag' : u'/++resource++country-flags/it.gif'},
u'it-hr' : {u'name' : u'Italian (Croatia)',                                      u'flag' : u'/++resource++country-flags/it.gif'},
u'it-it' : {u'name' : u'Italian (Italy)',                                        u'flag' : u'/++resource++country-flags/it.gif'},
u'it-si' : {u'name' : u'Italian (Slovenia)',                                     u'flag' : u'/++resource++country-flags/it.gif'},
u'it-sm' : {u'name' : u'Italian (San Marino)',                                   u'flag' : u'/++resource++country-flags/sm.gif'},
u'ko-kp' : {u'name' : u'Korean (Korea, North)',                                  u'flag' : u'/++resource++country-flags/kp.gif'},
u'ko-kr' : {u'name' : u'Korean (Korea, South)',                                  u'flag' : u'/++resource++country-flags/kr.gif'},
u'ln-cd' : {u'name' : u'Lingala (Democratic Republic of Congo)',                 u'flag' : u'/++resource++country-flags/cd.gif'},
u'ln-cg' : {u'name' : u'Lingala (Congo)',                                        u'flag' : u'/++resource++country-flags/cg.gif'},
u'ms-bn' : {u'name' : u'Malay (Brunei)',                                         u'flag' : u'/++resource++country-flags/bn.gif'},
u'ms-my' : {u'name' : u'Malay (Malaysia)',                                       u'flag' : u'/++resource++country-flags/my.gif'},
u'ms-sg' : {u'name' : u'Malay (Singapore)',                                      u'flag' : u'/++resource++country-flags/sg.gif'},
u'nl-an' : {u'name' : u'Dutch (Netherlands Antilles)',                           u'flag' : u'/++resource++country-flags/an.gif'},
u'nl-aw' : {u'name' : u'Dutch (Aruba)',                                          u'flag' : u'/++resource++country-flags/aw.gif'},
u'nl-be' : {u'name' : u'Dutch (Belgium)', u'native': 'Nederlands (BE)',          u'flag' : u'/++resource++country-flags/be.gif'},
u'nl-nl' : {u'name' : u'Dutch (Netherlands)',                                    u'flag' : u'/++resource++country-flags/nl.gif'},
u'nl-sr' : {u'name' : u'Dutch (Suriname)',                                       u'flag' : u'/++resource++country-flags/sr.gif'},
u'pt-ao' : {u'name' : u'Portuguese (Angola)', u'native': 'Português (Angola)',   u'flag' : u'/++resource++country-flags/ao.gif'},
u'pt-br' : {u'name' : u'Portuguese (Brazil)', u'native' : 'Português (Brasil)',  u'flag' : u'/++resource++country-flags/br.gif'},
u'pt-cv' : {u'name' : u'Portuguese (Ilhas Cabo Verde)', u'native': 'Português (Cabo Verde)', u'flag' : u'/++resource++country-flags/cv.gif'},
u'pt-gw' : {u'name' : u'Portuguese (Guiné-Bissau)', u'native': 'Português (Guiné-Bissau)', u'flag' : u'/++resource++country-flags/gw.gif'},
u'pt-mz' : {u'name' : u'Portuguese (Moçambique)', u'native': 'Português (Moçambique)', u'flag' : u'/++resource++country-flags/mz.gif'},
u'pt-pt' : {u'name' : u'Portuguese (Portugal)', u'native': 'Português (Portugal)', u'flag' : u'/++resource++country-flags/pt.gif'},
u'pt-st' : {u'name' : u'Portuguese (São Tomé e Príncipe)', u'native': 'Português (São Tomé e Príncipe)', u'flag' : u'/++resource++country-flags/st.gif'},
u'sd-in' : {u'name' : u'Sindhi (India)',                                         u'flag' : u'/++resource++country-flags/in.gif'},
u'sd-pk' : {u'name' : u'Sindhi (Pakistan)',                                      u'flag' : u'/++resource++country-flags/pk.gif'},
u'sr-ba' : {u'name' : u'Serbian (Bosnia-Herzegovina)',                           u'flag' : u'/++resource++country-flags/ba.gif'},
u'ss-sz' : {u'name' : u'Swati (Swaziland)',                                      u'flag' : u'/++resource++country-flags/sz.gif'},
u'ss-za' : {u'name' : u'Swati (South Africa)',                                   u'flag' : u'/++resource++country-flags/za.gif'},
u'sv-fi' : {u'name' : u'Swedish (Finland)',                                      u'flag' : u'/++resource++country-flags/se.gif'},
u'sv-se' : {u'name' : u'Swedish (Sweden)',                                       u'flag' : u'/++resource++country-flags/se.gif'},
u'sw-ke' : {u'name' : u'Swahili (Kenya)',                                        u'flag' : u'/++resource++country-flags/ke.gif'},
u'sw-tz' : {u'name' : u'Swahili (Tanzania)',                                     u'flag' : u'/++resource++country-flags/tz.gif'},
u'ta-in' : {u'name' : u'Tamil (India)',                                          u'flag' : u'/++resource++country-flags/in.gif'},
u'ta-sg' : {u'name' : u'Tamil (Singapore)',                                      u'flag' : u'/++resource++country-flags/sg.gif'},
u'tn-bw' : {u'name' : u'Tswana (Botswana)',                                      u'flag' : u'/++resource++country-flags/bw.gif'},
u'tn-za' : {u'name' : u'Tswana (South Africa)',                                  u'flag' : u'/++resource++country-flags/za.gif'},
u'tr-bg' : {u'name' : u'Turkish (Bulgaria)',                                     u'flag' : u'/++resource++country-flags/tr.gif'},
u'tr-cy' : {u'name' : u'Turkish (Cyprus)',                                       u'flag' : u'/++resource++country-flags/tr.gif'},
u'tr-tr' : {u'name' : u'Turkish (Turkey)',                                       u'flag' : u'/++resource++country-flags/tr.gif'},
u'ur-in' : {u'name' : u'Urdu (India)',                                           u'flag' : u'/++resource++country-flags/in.gif'},
u'ur-pk' : {u'name' : u'Urdu (Pakistan)',                                        u'flag' : u'/++resource++country-flags/pk.gif'},
u'zh-cn' : {u'name' : u'Chinese (China)', u'native' : '简体中文(中国)',                u'flag' : u'/++resource++country-flags/cn.gif'},
u'zh-hk' : {u'name' : u'Chinese (Hongkong)', u'native' : '繁體中文(香港)',             u'flag' : u'/++resource++country-flags/hk.gif'},
u'zh-sg' : {u'name' : u'Chinese (Singapore)', u'native' : '简体中文(新加坡)',           u'flag' : u'/++resource++country-flags/sg.gif'},
u'zh-tw' : {u'name' : u'Chinese (Taiwan)', u'native' : '繁體中文(臺灣)',               u'flag' : u'/++resource++country-flags/tw.gif'}
}

languages._combinedlanguagelist = _combinedlanguagelist
